select
   an.numero as "Numero"
   , an.nome as "Nome"
   , digsex.data as "Data Sexagem"
   , digsex.sexocria1 as "Sexo da Cria"
   , digsex.dtpartoprovavel as "Previso de Parto"
   , touro.numero as "Reprodutor"
from
   animal an
   join reproducao tent on tent.cdreproducao =
       (select first 1 re.cdreproducao
       from reproducao re
       where re.cdanimal = an.cdanimal
           and re.cdtiporeproducao in (1,2,3)
       order by re.data desc)
   join reproducao digsex on digsex.cdreproducao =
       (select first 1 re.cdreproducao from reproducao re where
           re.cdanimal = tent.cdanimal
           and re.cdtiporeproducao = 4
           and re.sexocria1 is not null
           and re.diagnostico = 'P'
           and re.data > tent.data
       order by re.data desc)
   left join animal touro on touro.cdanimal = tent.cdreprodutor
   left join categoria catrep on catrep.cdcategoria = 
        (select creprodutiva from sp_categoriaanimal(current_date, ' cdanimal = ' || an.cdanimal))
where
   an.dtbaixa is null
   and an.animalrebanho = 1
   and an.tipoanimal = 'A'
   and an.sexo = 'F'
   and catrep.cdcategoria = 3
